Apps say they are older versions - won't let me download geocaches

Sharant Reid shared this question 2 years ago
Answered

Tried this on two different phones running Android. When I go to get caches, geocaching4Locus tells me that Locus is out of date (must be at least 3.36). When I check, geocaching4Locus is v3.0.3 and Locus Premium itself has gone back to v3.32.2. When I check in Play, both say they are up to date, but I can both have newer versions available. Looks like Play Store won't let me update.

This was working about a week ago. I can't swear to the version numbers back then.

So, how do I download the latest version of Locus Maps premium, if Play won't let me?

Replies (4)

photo
1

Good day Sharant,

what is the version of the Android on your device? If it is Android 4.x, then Locus Map in the newest version is no longer supported. For this case, you may download older Locus Map 3.37.2 from our docs web here.

Hope this helps, let us know.

Menion

photo
1

Sony running Android 7, and Samsung running Android 9. To be clear: this was working fine until this week.

photo
1

Good day Sharant,

I have Huawei P9 Lite Mini (Android 7) and Samsung Galaxy S7 (Android 8) and Google Play offers Locus Map Pro in version 3.38 for both devices. What is your country?

photo
1

FYI we sorted this out. Android supports multiple user accounts and the one had made the purchase had a password change. Once we re-logged in the app would update.

Leave a Comment
 
Attach a file